- entityDefinitions:
  - IDR_Task__has_related__Work_Set: '{2eb391b4-7da2-4eca-8460-dcda7757c47a}'
  - IDR_Work_Set__related_for__Task: '{0109d3aa-9de5-43fd-98e3-f91db65aef64}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_Task;'
    name: 'Task'
    index: 2993
    abstract: yes
    relationships:
    # - instance: '&IDR_Task__related_action_for__Instance;'
    #   customTagName: relatedActionForInstanceId
    - instance: '&IDR_Task__has_related__Work_Set;'
      customTagName: relatedWorkSetId

# BUIR - Build UI Response Method.uses Executable returning Element
# the BUIR is referenced via a Build Response Method Binding [BRMB] on the CT
# the CT is in turn referenced by the Task

  - relationship: '&IDR_Task__has_initiating__Element;'
    index: 865
    sourceClassId: '&IDC_Task;'
    type: 'has initiating'
    destinationClassId: '&IDC_Element;'
    siblingRelationshipId: '&IDR_Element__initiates_for__Task;'
    singular: yes

  - relationship: '&IDR_Element__initiates_for__Task;'
    index: 866 
    sourceClassId: '&IDC_Element;'
    type: 'initiates for'
    destinationClassId: '&IDC_Task;'
    siblingRelationshipId: '&IDR_Task__has_initiating__Element;'
    singular: no

  - relationship: '&IDR_Task__has_related__Work_Set;'
    index: 867
    sourceClassId: '&IDC_Task;'
    type: 'has related'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__related_for__Task;'
    singular: yes

  - relationship: '&IDR_Work_Set__related_for__Task;'
    index: 868
    sourceClassId: '&IDC_WorkSet;'
    type: 'related for'
    destinationClassId: '&IDC_Task;'
    siblingRelationshipId: '&IDR_Task__has_related__Work_Set;'
    singular: no
